Skip to main content
GET
/
v1
/
chatbots
/
chatbot
/
{chatbotId}
/
personas
Get Personas
curl --request GET \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/personas \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Personas fetched successfully",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "chatbotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "Customer Service Bot",
      "description": "A friendly customer service representative",
      "instructions": "You are a customer service representative...",
      "creativityLevel": 0.7,
      "deletable": false,
      "isActive": false,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
Example:

"361628903185318481"

Response

Success

success
boolean
Example:

true

message
string
Example:

"Personas fetched successfully"

data
object[]